// --------------------------------------------------------------------------
// Popups
// --------------------------------------------------------------------------

.popup {
    width: 100%;
    max-width: 590px;
    background: #fff;
    box-shadow: 0px 22px 32px -10px rgba(0, 0, 0, 0.24);
    border-radius: 3px;
    padding: 24px 24px 52px;
    @include breakpoint(md) {
        padding: 30px 40px 40px;
    }
    @include breakpoint(lg) {
        padding: 40px 50px 50px;
    }
}


.popup__close {
    position: absolute;
    top: 25px;
    right: 25px;
    border: none;
    background: none;
    padding: 0;
    color: #333;
    transition: 0.25s;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    border: none;
    svg {
        display: block;
    }
    &:hover {
        color: #00757E;
    }
}

.popup__title {
    display: block;
    font-size: 22px;
    line-height: 2;
    font-weight: 700;
    margin: 0 0 21px;
    text-align: center;
    @include breakpoint(md) {
        font-size: 26px;
        line-height: 1.77;
        font-weight: 400;
        margin: 0 0 26px;
        text-align: left;
    }
    @include breakpoint(lg) {
        font-size: 33px;
        line-height: 1.4;
        font-weight: 400;
        margin: 0 0 30px;
    }
}



.popup__text {
    display: block;
    color: #999;
    font-size: 16px;
    line-height: 1.2;
    font-weight: 400;
    margin: 0 0 30px;
}